Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.rico.engine.enums
Enum BoundingVolume

    java.lang.Object
      java.lang.Enum<BoundingVolume>
          de.rico.engine.enums.BoundingVolume

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BoundingVolume>

    public enum BoundingVolume

extends java.lang.Enum<BoundingVolume>

This enumeration contains the possible bounding volumes that can be assigned to a mesh.

Author:
  Frank Bruns

Enum Constant Summary
`BOX`
`CYLINDER` Deprecated.
`SPHERE`

Method Summary
`static BoundingVolume` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BoundingVolume[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SPHERE

    public static final BoundingVolume SPHERE

### BOX

    public static final BoundingVolume BOX

### CYLINDER

    @Deprecated
    public static final BoundingVolume CYLINDER

  Deprecated.

Method Detail

### values

    public static final BoundingVolume[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BoundingVolume c : BoundingVolume.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BoundingVolume valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD